/*
*ejemplo6_31
*agenda.h
*/

#define ERROR -1 /*cdigo de error*/
#define LNOMBRE 30 /*longitud de la cadena nombre*/
#define LDIRECC 40 /*longitud de la cadena direccion*/
#define LTFNO 12 /*longitud de la cadena telefono*/
/*DEFINICION DE LA ESTRUCTURA*/

typedef struct dir {
    char nombre[LNOMBRE];
    char direccion[LDIRECC];
    char telefono[LTFNO];
} Contacto;

extern int inicializarAgenda (const char *fichero);
extern int introducirContactoEnAgenda(Contacto nuevoContacto);
extern int buscarContactoEnAgenda(char nombre[]);
extern void borrarContactoEnAgenda(int posicion);
extern Contacto recuperarContactoDeAgenda(int posicion);
extern void modificarContactoEnAgenda(int posicion, Contacto contacto);
extern int salvarAgenda(const char *fichero);
extern int recorrerAgenda (int ultimoProcesado);
